<template name="sendMessage">
	<form class="js-send-message">
		<div class="mb-3">
			<textarea class="form-control send-message-textarea js-email-message"
					  placeholder="{{placeholder}}"></textarea>
		</div>
		{{#if currentUser.hasEmail}}
			{{#if currentUser.hasVerifiedEmail}}
				<div class="form-check">
					<input class="form-check-input" checked="{{state 'sendCopy'}}" name="sendCopy"
						   type="checkbox" value="" id="sendMessageSendCopyCheck">
					<label class="form-check-label"
						   for="sendMessageSendCopyCheck">{{i18n 'profile.mail.copy' 'Send me a copy of this message'}}</label>
				</div>
				<div class="form-check">
					<input class="form-check-input" checked="{{state 'revealAddress'}}"
						   name="revealAddress" type="checkbox" value=""
						   id="sendMessageRevealAddressCheck">
					<label class="form-check-label"
						   for="sendMessageRevealAddressCheck">{{i18n 'profile.mail.attachmail' 'Attach my e-mail address'}}</label>
				</div>
			{{else}}
				<div class="card mb-3">
					<div class="card-header bg-warning">
						<span class="fa-regular fa-circle-check" aria-hidden="true"></span>
						{{i18n 'sendMessage.plsVerifyEmail' 'Please verify your e-mail address'}}
					</div>
					<div class="card-body p-3">
						<p>
							{{i18n 'userprofile.infoForUnverifiedMail' 'Verify your e-mail address to receive a copy or to attach it to the message.'}}
						</p>
						{{> verifyEmail}}
					</div>
				</div>
			{{/if}}
		{{/if}}
		<div class="form-actions">
			<button type="submit" class="btn btn-save" {{disabledIfBusy}}>
				{{#if busy 'sending'}}
					<span class="fa-solid fa-circle-notch fa-spin fa-fw" aria-hidden="true"></span>
					{{i18n 'userprofile.sendmail-btn.busy' 'Sending e-mail…'}}
				{{else}}
					<span class="fa-solid fa-paper-plane fa-fw" aria-hidden="true"></span>
					{{i18n 'userprofile.sendmail-btn' 'Send e-mail'}}
				{{/if}}
			</button>
		</div>
	</form>
</template>
